org.deidentifier.arx.gui.view.impl.common.table

## Class CTLayer

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform
    - - org.deidentifier.arx.gui.view.impl.common.table.CTLayer

All Implemented Interfaces:
  CTComponent, org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

Direct Known Subclasses:
  LayerBody, LayerColumnFillLayout, LayerColumnHeader, LayerRowFillLayout, LayerRowHeader

    public abstract class CTLayer
    extends org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform
    implements CTComponent

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

`DOT, VALUE_SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`CTLayer(CTConfiguration config, CTContext context)`
`CTLayer(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer, CTConfiguration config, CTContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CTConfiguration` `getConfig()`
`CTContext` `getContext()`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

`configure, dispose, doCommand, getCellByPosition, getCellPainter, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnWidthByPosition, getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getHeight, getLayerPainter, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setClientAreaProvider, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

`addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getBoundsByPosition, getClientAreaProvider, getConfigLabelAccumulator, getRegionName, handleLayerEvent, hasLayerListener, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, toString, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CTLayer

    public CTLayer(CTConfiguration config,
                   CTContext context)

Parameters:
  `config` -
  `context` -

#### CTLayer

    public CTLayer(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer,
                   CTConfiguration config,
                   CTContext context)

Parameters:
  `underlyingDataLayer` -
  `config` -
  `context` -

### Method Detail

#### getConfig

    public CTConfiguration getConfig()

Specified by:
  `getConfig` in interface `CTComponent`
Returns:

#### getContext

    public CTContext getContext()

Returns: